Subject: Re: [bug#28356] [PATCH 1/1] doc: Replace server-list with server-blocks.

From: Christopher Baines <[email-masked]>
Date: Sun, 10 Sep 2017 12:02:09 +0100

On Thu, 07 Sep 2017 10:46:29 +0300
Oleg Pykhalov <[email-masked]> wrote:

> Hello Christopher,
> 
> Christopher Baines <[email-masked]> writes:
> 
> > On Tue, 05 Sep 2017 14:15:30 +0300
> > Oleg Pykhalov <[email-masked]> wrote:
> >  
> >> From 2799970350073812c2d458d9750649cdf7f23315 Mon Sep 17 00:00:00
> >> 2001 From: Oleg Pykhalov <[email-masked]>
> >> Date: Tue, 5 Sep 2017 14:04:14 +0300
> >> Subject: [PATCH 1/1] doc: Replace server-list with server-blocks.
> >> 
> >> * doc/guix.texi (Web Services): Replace 'server-list' with
> >> 'server-blocks'. ---
> >>  doc/guix.texi | 10 +++++-----
> >>  1 file changed, 5 insertions(+), 5 deletions(-)
> >> 
> >> diff --git a/doc/guix.texi b/doc/guix.texi
> >> index e7a88e19f..9ac52535b 100644  
> >
> > I'm having problems applying this:
> >
> > error: sha1 information is lacking or useless (doc/guix.texi).
> > error: could not build fake ancestor
> >
> > I think this might be happening, as I don't have something locally
> > that coresponds to e7a88e19f. Is this patch on some version of
> > guix.texi that hasn't made it in to the master branch yet?  
> 
> Yes, sorry for that.
> 
> >> …  
> > Thanks for spotting this. Obviously I missed it when removing the
> > nginx-service procedure.
> >
> > It looks like this is also a problem elsewhere in the docs, as I can
> > see a few more instances of server-list. Also, it looks like
> > upstream-list has exactly the same problem. I think it would be
> > good to fix all of the server-list bits in this patch at least.
> > Could you add them?  
> 
> Sure, I replaced all instances in which Emacs (query-replace) found in
> doc/guix.texi.

Awesome, I've now pushed this, along with another patch that fixes the
same issue for upstream-list/upstream-blocks.